Bug 829772 - jBPM5 installer not working.
jBPM5 installer not working.
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Build Process (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity high
: ER4
: 5.3.0 GA
Assigned To: Julian Coleman
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 10:11 EDT by Marek Baluch
Modified: 2015-03-12 07:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
server.log (277.77 KB, text/x-log)
2012-06-07 10:27 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2012-06-07 10:11:31 EDT
Description of problem:

While I was trying to install the jbpm 5 integration I found that the installer has the following shorcommings/bugs.

- build.properties is ignored by the installer
- file jbpm-gwt-console-server.war missing (see jboss-jbpm-console.zip/gwt-console-server.war)
- brms gwt-console-server.war clashes with bpel-console/gwt-console-server.war
- business-central.war/WEB-INF/jboss-web.xml refers to security domain java:/jaas/brms not jmx-console

If you could smoke test the installer it would be appreciated. Thanks a lot.
Comment 1 Marek Baluch 2012-06-07 10:27:09 EDT
Created attachment 590217 [details]
server.log

For more info on the mentioned gwt-console-server.war conflict please see attached server.log on line 2012-06-07 16:20:48,296
Comment 2 Julian Coleman 2012-06-11 11:01:57 EDT
build.xml updated with revision 11169 of:

  soa-p/src/main/resources/soa-p/jbpm5/build.xml

Commit message:

  BZ 829772
  Read properties file.
  If all properties are pre-defined, the installer will not prompt for input.
Comment 3 Julian Coleman 2012-06-11 11:03:09 EDT
The SOA-P jBPM5 integration requires at least BRMS-P 5.3.0 ER8.
Comment 4 Julian Coleman 2012-06-21 08:58:50 EDT
SOA-P ER4 is synchronised with BRMS-P ER9 in both the main zip and the jBPM 5 integration zip.
Comment 5 Marek Baluch 2012-06-21 09:14:21 EDT
Verified on SOA 5.3 ER4 + BRMS 5.3 ER9.
Comment 6 Suz 2012-07-01 19:48:55 EDT
Setting the technical note field to negative as this appears to have been fixed before users could see it.

Note You need to log in before you can comment on or make changes to this bug.